#!/bin/sh
#
# Licensed Materials - Property of IBM
#
# OCO Source Materials
#
# (C) Copyright IBM Corp. 2011 All Rights Reserved
#
# The source code for this program is not published or other-
# wise divested of its trade secrets, irrespective of what has
# been deposited with the U.S. Copyright Office.
#

if [ $# -eq 2 ]; then
User=$1
Password=$2
else
echo "Usage: provide the following 2 parameters separated by spaces: userid password"
echo "Usage: provide the following 2 parameters separated by spaces: userid password" >> /var/log/networkadvisor12Config.out 2>&1
exit 1
fi

echo 'begin' >> /var/log/networkadvisor12Config.out
/opt/IBM_Network_Advisor12_0_4/bin/silentInstall >> /var/log/networkadvisor12Config.out 2>&1	
cd /opt/IBM_Network_Advisor12_0_4/bin/
./useraccount -add $User $Password >> /var/log/networkadvisor12Config.out 2>&1
./useraccount -delete Administrator >> /var/log/networkadvisor12Config.out 2>&1
./dbpasswd dcmadmin passw0rd $Password $Password >> /var/log/networkadvisor12Config.out 2>&1
/opt/ibm/director/itme/apps/networkadvisor12/stopServer >> /var/log/networkadvisor12Config.out 2>&1
echo 'end' >> /var/log/networkadvisor12Config.out

exit 0
 